/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.valueobject.valueobject;

/**
 * バリューオブジェクトのフィールドをあらわすバリューオブジェクトクラス。このクラスの設定情報をもとにフィールドとセッター・ゲッターが自動生成されます。
 */
public class BlancoValueObjectFieldStructure {
    /**
     * フィールド [no]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号。省略可能です。
     */
    private String fNo;

    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド名を指定します。必須項目です。
     */
    private String fName;

    /**
     * フィールド [type]
     *
     * 項目の型 [java.lang.String]<br>
     * 型名をパッケージ名のフル修飾付で指定します。必須項目です。
     */
    private String fType;

    /**
     * フィールド [default]
     *
     * 項目の型 [java.lang.String]<br>
     * デフォルト値を指定します。
     */
    private String fDefault;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * フィールドのJavaDocを指定します。
     */
    private String fDescription;

    /**
     * フィールド [pattern]
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)正規表現を指定します。
     */
    private String fPattern;

    /**
     * フィールド [minLength]
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)最小の長さを指定します。
     */
    private String fMinLength;

    /**
     * フィールド [maxLength]
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)最大の長さを指定します。
     */
    private String fMaxLength;

    /**
     * フィールド [length]
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)長さを指定します。
     */
    private String fLength;

    /**
     * フィールド [minInclusive]
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)最小値を指定します。
     */
    private String fMinInclusive;

    /**
     * フィールド [maxInclusive]
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)最大値を指定します。
     */
    private String fMaxInclusive;

    /**
     * フィールド [no]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号。省略可能です。
     *
     * @param argNo フィールド[no]に格納したい値
     */
    public void setNo(final String argNo) {
        fNo = argNo;
    }

    /**
     * フィールド[no]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号。省略可能です。
     *
     * @return フィールド[no]に格納されている値
     */
    public String getNo() {
        return fNo;
    }

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド名を指定します。必須項目です。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド名を指定します。必須項目です。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [type]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 型名をパッケージ名のフル修飾付で指定します。必須項目です。
     *
     * @param argType フィールド[type]に格納したい値
     */
    public void setType(final String argType) {
        fType = argType;
    }

    /**
     * フィールド[type]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 型名をパッケージ名のフル修飾付で指定します。必須項目です。
     *
     * @return フィールド[type]に格納されている値
     */
    public String getType() {
        return fType;
    }

    /**
     * フィールド [default]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * デフォルト値を指定します。
     *
     * @param argDefault フィールド[default]に格納したい値
     */
    public void setDefault(final String argDefault) {
        fDefault = argDefault;
    }

    /**
     * フィールド[default]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * デフォルト値を指定します。
     *
     * @return フィールド[default]に格納されている値
     */
    public String getDefault() {
        return fDefault;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールドのJavaDocを指定します。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールドのJavaDocを指定します。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [pattern]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)正規表現を指定します。
     *
     * @param argPattern フィールド[pattern]に格納したい値
     */
    public void setPattern(final String argPattern) {
        fPattern = argPattern;
    }

    /**
     * フィールド[pattern]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)正規表現を指定します。
     *
     * @return フィールド[pattern]に格納されている値
     */
    public String getPattern() {
        return fPattern;
    }

    /**
     * フィールド [minLength]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)最小の長さを指定します。
     *
     * @param argMinLength フィールド[minLength]に格納したい値
     */
    public void setMinLength(final String argMinLength) {
        fMinLength = argMinLength;
    }

    /**
     * フィールド[minLength]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)最小の長さを指定します。
     *
     * @return フィールド[minLength]に格納されている値
     */
    public String getMinLength() {
        return fMinLength;
    }

    /**
     * フィールド [maxLength]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)最大の長さを指定します。
     *
     * @param argMaxLength フィールド[maxLength]に格納したい値
     */
    public void setMaxLength(final String argMaxLength) {
        fMaxLength = argMaxLength;
    }

    /**
     * フィールド[maxLength]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)最大の長さを指定します。
     *
     * @return フィールド[maxLength]に格納されている値
     */
    public String getMaxLength() {
        return fMaxLength;
    }

    /**
     * フィールド [length]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)長さを指定します。
     *
     * @param argLength フィールド[length]に格納したい値
     */
    public void setLength(final String argLength) {
        fLength = argLength;
    }

    /**
     * フィールド[length]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)長さを指定します。
     *
     * @return フィールド[length]に格納されている値
     */
    public String getLength() {
        return fLength;
    }

    /**
     * フィールド [minInclusive]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)最小値を指定します。
     *
     * @param argMinInclusive フィールド[minInclusive]に格納したい値
     */
    public void setMinInclusive(final String argMinInclusive) {
        fMinInclusive = argMinInclusive;
    }

    /**
     * フィールド[minInclusive]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)最小値を指定します。
     *
     * @return フィールド[minInclusive]に格納されている値
     */
    public String getMinInclusive() {
        return fMinInclusive;
    }

    /**
     * フィールド [maxInclusive]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)最大値を指定します。
     *
     * @param argMaxInclusive フィールド[maxInclusive]に格納したい値
     */
    public void setMaxInclusive(final String argMaxInclusive) {
        fMaxInclusive = argMaxInclusive;
    }

    /**
     * フィールド[maxInclusive]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * (JavaDocへの反映のみ)最大値を指定します。
     *
     * @return フィールド[maxInclusive]に格納されている値
     */
    public String getMaxInclusive() {
        return fMaxInclusive;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.valueobject.valueobject.BlancoValueObjectFieldStructure[");
        buf.append("no=" + fNo);
        buf.append(",name=" + fName);
        buf.append(",type=" + fType);
        buf.append(",default=" + fDefault);
        buf.append(",description=" + fDescription);
        buf.append(",pattern=" + fPattern);
        buf.append(",minLength=" + fMinLength);
        buf.append(",maxLength=" + fMaxLength);
        buf.append(",length=" + fLength);
        buf.append(",minInclusive=" + fMinInclusive);
        buf.append(",maxInclusive=" + fMaxInclusive);
        buf.append("]");
        return buf.toString();
    }
}
